%
%  Reset waypoints
%
%  When a ship uses warp wells to go to a planet,
%  Host will leave the waypoint pointing into the warp well.
%  This will clear those waypoints at the beginning of a turn.
%
%  21/Apr/2015 by Stefan Reuther, originally in autoexec.q
%

Sub ResetWP
  ForEach Ship Do
    If Owner$=My.Race$ Then
      If Orbit$ And (Waypoint.DX Or Waypoint.DY) And (PlanetAt(Waypoint.X, Waypoint.Y, 1)=Orbit$) And (Speed$<>1) Then Try SetWaypoint Loc.X, Loc.Y
    EndIf
  Next
EndSub

On NewTurn Do ResetWP
